ROM Hack WIP SSBU Amiibo Editor

Drflash55

Member
Newcomer
Joined
Dec 13, 2018
Messages
15
Trophies
0
Age
22
Location
Ontario, Canada
XP
128
Country
Canada
Had some trouble getting this to work, but putting the key_retail.bin inside the same folder as ssbu_amiibo.exe file helped with Encrypting and Decrypting.

As for Tagmo trying to read the tag with a higher byte size of 540 instead of 532, I had to disable the Amiibo File Browser so that I could select the tag manually and restore it to the Amiibo that I used to get it to read properly in SSBU.

Other than that, everything works as it should, and I'm having fun with my Luigi Amiibo being an absolute god of destruction. :wacko:
 

windmill

Well-Known Member
Member
Joined
Sep 23, 2018
Messages
137
Trophies
0
Age
19
XP
974
Country
United States
i still have no idea how to use this, could someone just help me get a Captain Falcon with 6969 in both stats?
 

odwdinc

Well-Known Member
OP
Newcomer
Joined
Dec 11, 2018
Messages
57
Trophies
0
Age
35
XP
277
Country
United States
New small update, there was a bug with loading some of the images and names form the amiibo DB, this was causing a crash. If the ID of the amiibo is not found not the name and photo will not be displayed but you can still work on them. Of Note thanks KyuseishuSavior Donkey Kong, Pikachu, Diddy Kong, or Ryu amiibos are confermed affected.

I have created a new release EXE for win10 64bit. This is the latest code 0.0.4.
The read me as been updated as well to help go over how to use a but more.
 

JHarris

Member
Newcomer
Joined
Apr 19, 2010
Messages
9
Trophies
0
XP
41
Country
United States
I've noticed that the hex editor sometimes discards changes. Even if you click Save when done editing, if you close its windows without clicking Quit it can throw them away. It's a good idea in any case to make sure that changes are actually saved after you close the editor.
 

Tchinka

New Member
Newbie
Joined
Apr 25, 2020
Messages
1
Trophies
0
Age
21
XP
43
Country
Brazil
Hi there. It seems I'm having trouble getting the editor to work. Given my inexperience with python I can't seem to understand what a few of the steps require me to do, more specifically these found in the README file:

### Run the UI with the command
```console
$env: path += "$env:APPDATA\Python\Python37\Scripts;"
ssbu_amiibo.exe
```
### New window will load with UI.

and

## Hex editor usage if installed with pip
```console
pyhex
```
I don't really know what the instructions means by to run the UI with the command, but I can't seem to figure it out myself. And with that there is the other console command which I simply don't get. If anyone that managed to get it working can help me I would really appreciate it.

Moreover. The error log in CMD is "The filename, directory name, or volume label syntax is incorrect"
And in PowerShell its
```
ssbu_amiibo.exe : The term 'ssbu_amiibo.exe' is not recognized as the name of a cmdlet, function, script file, or
operable program. Check the spelling of the name, or if a path was included, verify that the path is correct and try
again.
At line:2 char:1
+ ssbu_amiibo.exe
+ ~~~~~~~~~~~~~~~
+ CategoryInfo : ObjectNotFound: (ssbu_amiibo.exe:String) [], CommandNotFoundException
+ FullyQualifiedErrorId : CommandNotFoundException
```

Edit: I'm using Python38 instead of Python37, but changing that in the console command does not seem to work. And whenever I normally execute the UI application I get a state of it where I don't have an option to "Decrypt amiibo". Sorry if the post is too long and sorry if I'm simply dumb
 
Last edited by Tchinka,

smashgod

New Member
Newbie
Joined
Sep 7, 2020
Messages
1
Trophies
0
Age
41
XP
16
Country
Hong Kong
I have the editor but don't know how to get the data of my amiibo
etc. I have a Donkey Kong amiibo and Iwant to edit its stats, where can I get its data as a BIND file?
 

AceHack

New Member
Newbie
Joined
Dec 16, 2020
Messages
1
Trophies
0
Age
42
XP
25
Country
United States
Whenever I decrypt an amiibo it just stays blank with no data. Please help. I've tried decrypting with amiitool as well same problem.
 

Joxy

Well-Known Member
Member
Joined
Aug 10, 2016
Messages
141
Trophies
0
Age
36
XP
589
Country
Sweden
Help the exe editor always gives this answer?
212
Exception in Tkinter callback
Traceback (most recent call last):
File "tkinter\__init__.py", line 1705, in __call__
File "ssbu_amiibo\ui.py", line 293, in Decrypt
File "ssbu_amiibo\ui.py", line 170, in handaleFile
File "ssbu_amiibo\amiibo_class.py", line 47, in __init__
File "ssbu_amiibo\amiibo_class.py", line 118, in GetWebData
File "json\__init__.py", line 348, in loads
File "json\decoder.py", line 337, in decode
File "json\decoder.py", line 353, in raw_decode
json.decoder.JSONDecodeError: Expecting property name enclosed in double quotes: line 2 column 1 (char 2)
 
  • Like
Reactions: 66tom

Joxy

Well-Known Member
Member
Joined
Aug 10, 2016
Messages
141
Trophies
0
Age
36
XP
589
Country
Sweden
I got another to working now, but when I’m trying it in Smash it always says No Amiibo when scanning?
 

66tom

New Member
Newbie
Joined
Mar 28, 2021
Messages
2
Trophies
0
Age
22
XP
14
Country
United Kingdom
It used to work, but now it prints an error when launched, prints an error when I open a bin file, an error when trying to encrypt and decrypt, and the exit does not work. Please help!
 

66tom

New Member
Newbie
Joined
Mar 28, 2021
Messages
2
Trophies
0
Age
22
XP
14
Country
United Kingdom
Help the exe editor always gives this answer?
212
Exception in Tkinter callback
Traceback (most recent call last):
File "tkinter\__init__.py", line 1705, in __call__
File "ssbu_amiibo\ui.py", line 293, in Decrypt
File "ssbu_amiibo\ui.py", line 170, in handaleFile
File "ssbu_amiibo\amiibo_class.py", line 47, in __init__
File "ssbu_amiibo\amiibo_class.py", line 118, in GetWebData
File "json\__init__.py", line 348, in loads
File "json\decoder.py", line 337, in decode
File "json\decoder.py", line 353, in raw_decode
json.decoder.JSONDecodeError: Expecting property name enclosed in double quotes: line 2 column 1 (char 2)
same!
 

Drflash55

Member
Newcomer
Joined
Dec 13, 2018
Messages
15
Trophies
0
Age
22
Location
Ontario, Canada
XP
128
Country
Canada
No idea if this is still being maintained, but it seems that the only version to work is the one before February 26th, 2020.

The "KO Heals Damage" fix gives off this error:
Python:
212
Exception in Tkinter callback
Traceback (most recent call last):
File "tkinter\__init__.py", line 1705, in __call__
File "ssbu_amiibo\ui.py", line 293, in Decrypt
File "ssbu_amiibo\ui.py", line 170, in handaleFile
File "ssbu_amiibo\amiibo_class.py", line 47, in __init__
File "ssbu_amiibo\amiibo_class.py", line 118, in GetWebData
File "json\__init__.py", line 348, in loads
File "json\decoder.py", line 337, in decode
File "json\decoder.py", line 353, in raw_decode
json.decoder.JSONDecodeError: Expecting property name enclosed in double quotes: line 2 column 1 (char 2)

And the one released this year back in January gives off this error.

Python:
212
Exception in Tkinter callback
Traceback (most recent call last):
  File "urllib\request.py", line 1317, in do_open
  File "http\client.py", line 1252, in request
  File "http\client.py", line 1298, in _send_request
  File "http\client.py", line 1247, in endheaders
  File "http\client.py", line 1026, in _send_output
  File "http\client.py", line 966, in send
  File "http\client.py", line 1422, in connect
  File "ssl.py", line 423, in wrap_socket
  File "ssl.py", line 870, in _create
  File "ssl.py", line 1139, in do_handshake
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1076)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "tkinter\__init__.py", line 1705, in __call__
  File "ui.py", line 174, in OpenCmd
  File "ui.py", line 184, in handaleFile
  File "ssbu_amiibo\amiibo_class.py", line 47, in __init__
  File "ssbu_amiibo\amiibo_class.py", line 117, in GetWebData
  File "urllib\request.py", line 222, in urlopen
  File "urllib\request.py", line 525, in open
  File "urllib\request.py", line 543, in _open
  File "urllib\request.py", line 503, in _call_chain
  File "urllib\request.py", line 1360, in https_open
  File "urllib\request.py", line 1319, in do_open
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1076)>

I of course know nothing about what's going on, so if someone is able to supply assistance, that'd be great. For now, I'm stuck to using the first version, since it's the only one that doesn't give off an error.
 
General chit-chat
Help Users
    NeoGaming @ NeoGaming: maybe this will ring a bell for you kennies